Bug Hunting Session
Bug 77349 - FILEOPEN: RTF files with images show as unnamed in Navigator
Summary: FILEOPEN: RTF files with images show as unnamed in Navigator
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: interoperability target:5.3.0 target:...
Keywords: filter:rtf
Depends on:
Blocks:
 
Reported: 2014-04-11 22:43 UTC by Urmas
Modified: 2016-10-25 18:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
RTF file with images (227.82 KB, application/zip)
2014-06-21 06:53 UTC, Urmas
Details
screenshot with navigator open in 4.2.5 (146.61 KB, image/png)
2014-06-21 08:05 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2014-04-11 22:43:57 UTC
Open document with several unnamed images.
Clicking any item in navigator will take you to the same (random) image.
Comment 1 Yousuf Philips (jay) (retired) 2014-06-05 00:38:34 UTC
I attempted to reproduce a document according to your instructions with 3 images but in navigator i see 'Image' with three entries for each of the images. If you can supply a sample document with this problem, it would be appreciated.
Comment 2 Urmas 2014-06-20 12:13:23 UTC
Such images can be created by RTF import.
Comment 3 Yousuf Philips (jay) (retired) 2014-06-21 02:34:10 UTC
(In reply to comment #2)
> Such images can be created by RTF import.

So i need to import an RTF file with images?
Comment 4 Urmas 2014-06-21 06:53:01 UTC
Created attachment 101467 [details]
RTF file with images
Comment 5 Yousuf Philips (jay) (retired) 2014-06-21 08:03:08 UTC
Confirmed in 3.3.0, 4.2.5 and master. Saving the RTF file as an ODT and then reopening it, will show names in navigator.
Comment 6 Yousuf Philips (jay) (retired) 2014-06-21 08:05:52 UTC
Created attachment 101471 [details]
screenshot with navigator open in 4.2.5
Comment 7 Robinson Tryon (qubit) 2015-12-14 11:27:23 UTC Comment hidden (obsolete)
Comment 8 Miklos Vajna 2016-05-27 17:38:09 UTC
Actually I think this worked with LO <= 3.4.
Comment 9 Commit Notification 2016-05-31 08:57:17 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=526ed1f7dbd9150734edcb03727d49e1b1306f56

tdf#77349 RTF import: automatically generate names for images if needed

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-06-02 10:49:22 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5823d676e99f7536fca2cee774e2f8d805866668&h=libreoffice-5-2

tdf#77349 RTF import: automatically generate names for images if needed

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Daniël van Vuuren 2016-06-03 07:58:45 UTC
Verified it in 5.3.0.0.alpha0+ daily of today
Comment 12 Commit Notification 2016-06-07 08:05:48 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ad049ffa1d3a22fac4864cae972690a1e46993c9&h=libreoffice-5-1

tdf#77349 RTF import: automatically generate names for images if needed

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.